Refresh workflow job status¶
Requests the service to read the latest execution status of the specified job. What is returned is the status read this time and does not represent a forced change to the job execution status.
POST https://moi.matrixorigin.cn/newmoi/workflow/v2/workflow-apps/{workflow_id}/executions/{execution_id}/refresh
Preparation before calling¶
First query the workflow job list to obtain the workflow ID and execution ID. Prepare a personal access token and target workspace ID that has access to the target workspace.
Path parameters¶
workflow_idstringRequired- Workflow ID.
execution_idstringRequired- Job ID.
Request example
curl -X POST "https://moi.matrixorigin.cn/newmoi/workflow/v2/workflow-apps/$WORKFLOW_ID/executions/$EXECUTION_ID/refresh" \
-H "X-API-Key: $AI_STUDIO_API_KEY" \
-H "X-Workspace-ID: $WORKSPACE_ID"
Successful response¶
Returns 200 on success. data.execution is consistent with the job object in View workflow job details.
codestring- `OK` when successful.
msgstring- `OK` when successful.
data.executionobject- The execution details read after refreshing.
data.execution.execution_idstring- Execution ID.
data.execution.workflow_idstring- Workflow ID.
data.execution.statusstring- Current status.
data.execution.available_actionsstring[]- Currently allowed operations.
data.execution.execution_modestring- Execution mode.
data.execution.cron_expressionstring- Cron expression; only returned in timing mode.
data.execution.input_payloadobject- Expanded run input.
data.execution.vars_payloadobject- Expanded run variable.
data.execution.moi_task_idstring- Task ID; returned when the server has assigned it.
data.execution.moi_case_idstring- Case ID; returned when the server has assigned it.
data.execution.moi_workflow_def_idstring- Workflow definition identifier; returned when the server has assigned it.
data.execution.moi_workflow_version_idstring- Workflow version identifier; returned when the server has assigned it.
data.execution.pause_scopestring- Pause range; returned when there is a value.
data.execution.errorstring- Error message; returned if there is a value.
data.execution.started_atstring- Start time; may be omitted if not generated.
data.execution.ended_atstring- End time; may be omitted if not generated.
data.execution.created_atstring- Creation time; may be omitted if not generated.
data.execution.updated_atstring- Last updated time; may be omitted if not generated.
Successful response example
{
"code": "OK",
"msg": "OK",
"data": {
"execution": {
"execution_id": "exec-001",
"workflow_id": "wf-001",
"status": "running",
"available_actions": ["pause", "cancel"],
"execution_mode": "one_shot",
"input_payload": {},
"vars_payload": {}
}
}
}
Error response¶
codestring- Error code.
msgstring- Readable error message.
datanull- `null` in an error response.
Error response example
{
"code": "ErrNotFound",
"msg": "资源不存在",
"data": null
}
Follow-up operations¶
After the status is updated, when output is required query workflow job results.
Last updated on